<div class="modal is-active">
  <div class="modal-background" (click)="hideAddModulesModal()"></div>
    <div class="modal-card">
      <header class="modal-card-head">
        <p class="modal-card-title">Add one of the following modules to your workspace</p>
      </header>

      <section class="modal-card-body">
        <div *ngFor="let module of modulesNotAlreadyAdded" class="level box">
          <div class="level-left">
            <div class="level-item">
              <div class="content">
                <p class="subtitle is-5">{{module.name}}</p>
                <p class="help is-grey-dark">{{ module.description | truncate }}</p>
              </div>
            </div>
          </div>
          <div class="button is-primary" (click)="addModule(module)">Add</div>
        </div>
      </section>

      <footer class="modal-card-foot is-primary">
        <button class="button" (click)="hideAddModulesModal()">Cancel</button>
      </footer>
    </div>
</div>
